
#ifndef _GLOBAL_H_DEFINED
#define _GLOBAL_H_DEFINED

// World Map Locations
#define GVAR_VAULT_13						(67)
#define GVAR_SHADY_SANDS					(68)
#define GVAR_RAIDERS						(69)
#define GVAR_BURIED_VAULT					(70)
#define GVAR_JUNKTOWN						(71)
#define GVAR_NECROPOLIS						(72)
#define GVAR_THE_HUB						(73)
#define GVAR_BROTHERHOOD_OF_STEEL			(74)
#define GVAR_ANGELS_BONEYARD				(75)
#define GVAR_THE_GLOW						(76)
#define GVAR_THE_CATHEDRAL					(77)
#define GVAR_THE_VATS						(78)
#define GVAR_MASTERS_LAIR					(79)

// Location's Map
#define GVAR_LOAD_MAP_INDEX					(32)
#define GVAR_MARK_V13_1						(558)
#define GVAR_MARK_V13_2						(559)
#define GVAR_MARK_V13_3						(560)
#define GVAR_MARK_V13_4						(561)
#define GVAR_MARK_V15_1						(562)
#define GVAR_MARK_V15_2						(563)
#define GVAR_MARK_V15_3						(564)
#define GVAR_MARK_V15_4						(565)
#define GVAR_MARK_SHADY_SANDS_WEST			(566)
#define GVAR_MARK_SHADY_SANDS_EAST_1		(567)
#define GVAR_MARK_SHADY_SANDS_EAST_2		(568)
#define GVAR_MARK_JUNKTOWN_ENTRANCE			(569)
#define GVAR_MARK_JUNKTOWN_KILLIAN			(570)
#define GVAR_MARK_JUNKTOWN_CASINO			(571)
#define GVAR_MARK_RAIDERS					(572)	// unused
#define GVAR_MARK_NECROPOLIS_HOTEL			(573)
#define GVAR_MARK_NECROPOLIS_HALL			(574)
#define GVAR_MARK_NECROPOLIS_WATERSHED		(575)
#define GVAR_MARK_HUB_ENTRANCE				(576)
#define GVAR_MARK_HUB_DOWNTOWN				(577)
#define GVAR_MARK_HUB_HEIGHTS				(578)
#define GVAR_MARK_HUB_OLDTOWN				(579)
#define GVAR_MARK_HUB_WATER_MERCHANTS		(580)
#define GVAR_MARK_HUB_DEATHCLAW_CAVE		(581)
#define GVAR_MARK_LOST_HILLS_ENTRANCE		(582)
#define GVAR_MARK_LOST_HILLS_LEVEL_1		(583)
#define GVAR_MARK_LOST_HILLS_LEVEL_2		(584)
#define GVAR_MARK_LOST_HILLS_LEVEL_3		(585)
#define GVAR_MARK_LOST_HILLS_LEVEL_4		(586)
#define GVAR_MARK_BASE_1					(587)
#define GVAR_MARK_BASE_2					(588)
#define GVAR_MARK_BASE_3					(589)
#define GVAR_MARK_BASE_4					(590)
#define GVAR_MARK_BASE_5					(591)
#define GVAR_MARK_GLOW_1					(592)
#define GVAR_MARK_GLOW_2					(593)
#define GVAR_MARK_LA_ADYTUM					(594)
#define GVAR_MARK_LA_BLADES					(595)
#define GVAR_MARK_LA_FOLLOWERS				(596)
#define GVAR_MARK_LA_GUN_RUNNERS			(597)
#define GVAR_MARK_LA_RIPPERS				(598)
#define GVAR_MARK_CATHEDRAL_ENTRANCE		(599)
#define GVAR_MARK_CATHEDRAL_HALL			(600)

// Quests Status
#define GVAR_KILL_DEATHCLAW					(100)
#define GVAR_FIND_WATER_CHIP				(101)
#define GVAR_KILL_RADSCORPIONS				(102)
#define GVAR_RESCUE_TANDI					(103)
#define GVAR_CAPTURE_GIZMO					(104)
#define GVAR_KILL_KILLIAN					(105)	// unused
#define GVAR_MISSING_CARAVANS				(106)
#define GVAR_STEAL_NECKLACE					(107)
#define GVAR_BECOME_AN_INITIATE				(108)
#define GVAR_FIND_LOST_INITIATE				(109)
//#define GVAR_WARNED_BROTHERHOOD			(110)
#define GVAR_KILL_MERCHANT					(111)
#define GVAR_KILL_JAIN						(112)
//#define GVAR_KILL_SUPER_MUTANTS			(113)
///#define GVAR_STOP_GANGS_WAR				(128)
///#define GVAR_DESTROY_FOLLOWERS			(129)	// Deliver package from the Gun Runners
///#define GVAR_RESCUE_JASON				(130)
///#define GVAR_FIND_SPY_INSIDE_FOLLOWERS	(133)
#define GVAR_START_POWER					(139)
#define GVAR_DISARM_WEAPONS					(140)
#define GVAR_SAVE_SINTHIA					(143)
///#define GVAR_SAUL_QUEST					(144)
///#define GVAR_TRISH_QUEST					(145)
#define GVAR_FIND_WATER_THIEF				(188)
#define GVAR_CALM_REBELS					(238)
#define GVAR_DESTROY_SOURCE_OF_MUTANTS		(308)
#define GVAR_DESTROY_MUTANT_LEADER			(309)
#define GVAR_BUST_SKULZ						(555)

// Vault 13
#define GVAR_DAYS_TO_VAULT13_DISCOVERY		(9)		// := 180; how long before the Vault is discovered?
#define GVAR_VAULT_WATER					(10)	// := 150; how long for the water supply := 0?
#define GVAR_ENEMY_VAULT_13					(245)

// Shady Sands
#define GVAR_NUM_RADSCORPIONS				(2)		// := 9; how many RadScorpions are still around in cave?
#define GVAR_TANDI_STATUS					(26)	// 5 == In Party
#define GVAR_TANDI_DEAD						(27)
#define GVAR_RADSCORPIONS_KILLED			(28)
#define GVAR_RADSCORPIONS_SEED				(43)	// is the player off killing the Radscorpions?
#define GVAR_TANDI_HEREBEFORE				(217)
#define GVAR_TALKED_ABOUT_TANDI				(218)
#define GVAR_SETH_STATUS					(124)
#define GVAR_ARADESH_STATUS					(604)
#define GVAR_ENEMY_SHADY_SANDS				(246)

// Raiders
#define GVAR_GARL_DEAD						(114)
#define GVAR_TOTAL_NUM_RAIDERS_ALIVE		(115)	// := 16; number of raiders alive
#define GVAR_MISTAKEN_ID					(116)
#define GVAR_TANDI_ESCAPE					(213)
#define GVAR_RAIDER_LOOTING					(214)
#define GVAR_GARLS_FRIEND					(611)
#define GVAR_ENEMY_RAIDERS					(254)

// Junktown
#define GVAR_HIRED_BY_KILLIAN				(36)
#define GVAR_KILLIAN_DEAD					(37)
#define GVAR_GIZMO_DEAD						(38)
#define GVAR_HIRED_BY_GIZMO					(39)
//#define GVAR_IN_JAIL						(40)
#define GVAR_BUG_PLANTED					(41)
#define GVAR_GOT_CONFESSION					(42)
#define GVAR_RENT_TIME						(168)
#define GVAR_SAUL_STATUS					(169)
//#define GVAR_GIZMO_STATUS					(170)
#define GVAR_SKULZ_STATUS					(282)
#define GVAR_DESTROY_VATS_11				(283)	// used for time of Neal's death
#define GVAR_DESTROY_VATS_12				(284)	// Neal is dead
#define GVAR_DESTROY_VATS_13				(285)	// used as progress for Vinnie
#define GVAR_DESTROY_VATS_14				(286)	// urn stolen
#define GVAR_DESTROY_VATS_15				(287)	// tells that Lars sent guards to Skum Pitt
#define GVAR_MORBID_STATUS					(346)
#define GVAR_SHERRY_STATUS					(556)
#define GVAR_TRISH_STATUS					(557)
#define GVAR_LARS_STATUS					(624)
#define GVAR_ASSAULT_ON_GIZMOS				(625)
#define GVAR_ENEMY_SKULZ					(626)
#define GVAR_ENEMY_BOXER					(627)
#define GVAR_ENEMY_JUNKTOWNER				(628)
#define GVAR_ENEMY_JUNKTOWN					(247)

// Hub
#define GVAR_WANTED							(198)
#define GVAR_UNDERGROUND_STATUS				(202)
#define GVAR_DECKER_STATUS					(203)
#define GVAR_LOXLEY_KNOWN					(207)
#define GVAR_DECKER_KNOWN					(219)
#define GVAR_WANTED_FOR_MURDER				(220)
#define GVAR_GREENE_STATUS					(221)
#define GVAR_WANTED_THEFT					(222)
#define GVAR_INFO_ABOUT_DEATHCLAW			(226)
#define GVAR_VANCE_STATUS					(236)
#define GVAR_JACOB_STATUS					(344)
#define GVAR_BOB_STATUS						(345)
#define GVAR_FRY_STATUS						(469)
#define GVAR_ENEMY_HUB						(248)

// Hub: Caravans
#define GVAR_CRIMSON_CARAVANS_STATUS		(199)
#define GVAR_CRIMSON_CARAVANS_JOB			(204)
#define GVAR_WATER_MERCHANTS_STATUS			(200)
#define GVAR_WATER_MERCHANTS_JOB			(205)
#define GVAR_FAR_GO_TRADERS_STATUS			(201)
#define GVAR_FAR_GO_TRADERS_JOB				(206)
#define GVAR_CARAVAN_LEADER					(215)
#define GVAR_CARAVAN_GUARD					(216)

// Irwins's farm
#define GVAR_IRVINS_FARM_STATUS				(307)
#define GVAR_IRVINS_FARM_NUM_RAIDERS		(269)

// Lost Hills
//#define GVAR_WITH_CARAVAN					(117)
#define GVAR_BROTHERHOOD_INVASION			(223)
#define GVAR_ENEMY_BROTHERHOOD				(250)

// Necropolis
#define GVAR_KILL_MUTANTS_FROM_WATERSHED	(29)	// quest status
#define GVAR_NECROPOLIS_WATER_CHIP_TAKEN	(30)
#define GVAR_NECROPOLIS_WATER_PUMP_FIXED	(31)	// quest status
#define GVAR_NUM_OF_MUTANTS					(35)
//#define GVAR_WATERSHED_STATUS				(58)
#define GVAR_PLAYER_CAPTURED				(59)
#define GVAR_SIGNAL_REWARD 					(60)
//#define GVAR_NECROPOLIS_WATER				(66)
#define GVAR_TIME_WATER_CHIP_GONE			(552)
#define GVAR_SET_STATUS						(553)
#define GVAR_MUTANTS_FROM_WATERSHED_GONE	(554)
#define GVAR_GARRET_STATUS					(607)
#define GVAR_ENEMY_NECROPOLIS				(249)

// LA Boneyard
#define GVAR_SCOUT_THE_CATHEDRAL			(61)
#define GVAR_FOLLOWERS_HELP					(63)
#define GVAR_ROMERO_STATUS					(127)
#define GVAR_TANGLER_STATUS					(134)
#define GVAR_BECOME_BLADE					(135)
#define GVAR_FIX_ADYTUM_FARM				(138)
#define GVAR_UTHERN_STATUS					(530)
#define GVAR_ZIMMERMAN_STATUS				(612)
#define GVAR_DEAL_WITH_BLADES				(613)
#define GVAR_DEAL_WITH_GUN_RUNNERS			(614)
#define GVAR_GET_CHEMISTRY_BOOK				(615)
#define GVAR_NUM_OF_BLADES					(350)
#define GVAR_NUM_OF_RIPPERS					(351)
#define GVAR_NUM_OF_GUN_RUNNERS				(352)
#define GVAR_NUM_OF_REGULATORS				(353)
#define GVAR_ENEMY_ADYTUM					(251)
#define GVAR_ENEMY_RIPPERS					(252)
#define GVAR_ENEMY_BLADES					(253)
#define GVAR_ENEMY_FOLLOWERS				(256)
#define GVAR_ENEMY_REGULATORS				(616)
#define GVAR_ENEMY_GUN_RUNNERS				(617)

// Cathedral
#define GVAR_CHILDREN_STATUS				(52)
#define GVAR_MORPHEUS_KNOWN					(196)
#define GVAR_MORPHEUS_STATUS				(241)
#define GVAR_ENEMY_CATHEDRAL				(195)
#define GVAR_ENEMY_NIGHTKIN					(255)

// Glow
#define GVAR_GLOW_POWER						(224)

// Military Base
#define GVAR_VATS_DESTROYED					(17)
#define GVAR_LIEUTENANT_DEAD				(54)
#define GVAR_ENTERING_VATS					(57)
#define GVAR_VATS_ALERT						(146)
#define GVAR_VATS_COUNTDOWN					(147)
#define GVAR_DESTROY_VATS_4					(276)	// unknown purpose

// Master's Liar
#define GVAR_MASTER_DESTROYED				(18)
#define GVAR_VATS_STATUS					(51)
//#define GVAR_MASTER_DEAD					(53)
#define GVAR_COUNTDOWN_TO_DESTRUCTION		(55)
#define GVAR_BOMB_DISARMED					(56)

// Random Encounters
#define GVAR_WORLD_TERRAIN					(65)	// what is the terrain the player is on?
#define GVAR_HUNTER_STATUS					(123)	// Bounty Hunter
#define GVAR_TRENT_STATUS					(125)
#define GVAR_WATER_THIEF_2					(289)	// DUC.INT is hurt
#define GVAR_WATER_THIEF_3					(290)	// unknown purpose
#define GVAR_WATER_THIEF_4					(291)	// unknown purpose
#define GVAR_WATER_THIEF_5					(292)	// unknown purpose
#define GVAR_SAVE_TANDI_2					(331)	// DUC.INT is dead
#define GVAR_SAVE_TANDI_4					(333)	// DUC.INT is known
#define GVAR_SAVE_TANDI_6					(335)	// unknown purpose
#define GVAR_STRANGER_STATUS				(601)

// Specific
#define GVAR_SOURCE_POINTER					(340)
#define GVAR_OBJECT_POINTER					(341)
#define GVAR_KATJA_PICKS_THE_LOCK			(342)

// Generic
#define GVAR_PSST_TIME						(343)

// Party Members
#define GVAR_DOG_EMPATHY					(5)
#define GVAR_IAN_STATUS						(118)
#define GVAR_TYCHO_STATUS					(121)
#define GVAR_KATJA_STATUS					(244)
#define GVAR_IAN_LEVEL						(618)
#define GVAR_IAN_DUDE_LAST_LEVEL			(619)
#define GVAR_KATJA_LEVEL					(620)
#define GVAR_KATJA_DUDE_LAST_LEVEL			(621)
#define GVAR_TYCHO_LEVEL					(622)
#define GVAR_TYCHO_DUDE_LAST_LEVEL			(623)
#define GVAR_IAN_LEVEL_COUNTER				(629)
#define GVAR_KATJA_LEVEL_COUNTER			(630)
#define GVAR_TYCHO_LEVEL_COUNTER			(631)

// Addictions
#define GVAR_NUKA_COLA_ADDICT				(189)
#define GVAR_BUFF_OUT_ADDICT				(190)
#define GVAR_MENTATS_ADDICT					(191)
#define GVAR_PSYCHO_ADDICT					(192)
#define GVAR_RADAWAY_ADDICT 				(193)
#define GVAR_ALCOHOL_ADDICT					(194)

// Reputation
#define GVAR_PLAYER_REPUTATION				(155)
#define GVAR_BERSERKER_REPUTATION			(156)
#define GVAR_CHAMPION_REPUTATION			(157)
#define GVAR_CHILDKILLER_REPUTATION			(158)
#define GVAR_GOOD_MONSTER					(159)
#define GVAR_BAD_MONSTER					(160)

// Invasion
#define GVAR_FOLLOWERS_INVADED				(7)
#define GVAR_VAULT_INVADED					(11)
#define GVAR_SHADY_SANDS_INVADED			(12)
#define GVAR_NECROPOLIS_INVADED				(13)
#define GVAR_HUB_INVADED					(14)
#define GVAR_JUNKTOWN_INVADED				(15)
#define GVAR_BROTHERHOOD_INVADED			(16)
#define GVAR_FOLLOWERS_INVADED_DATE			(148)	// := 90;
#define GVAR_NECROPOLIS_INVADED_DATE		(149)	// := 110;
#define GVAR_HUB_INVADED_DATE				(150)	// := 150;
#define GVAR_BROTHERHOOD_INVADED_DATE		(151)	// := 170;
#define GVAR_JUNKTOWN_INVADED_DATE			(152)	// := 200;
#define GVAR_SHADY_SANDS_INVADED_DATE		(153)	// := 230;
#define GVAR_VAULT_INVADED_DATE				(154)	// := 500;

// Holodiscs
#define GVAR_ARTIFACT_DISK					(161)
#define GVAR_FEV_DISK						(162)
#define GVAR_SECURITY_DISK					(163)
#define GVAR_ALPHA_DISK						(164)
#define GVAR_DELTA_DISK						(165)
#define GVAR_VREE_DISK						(166)
#define GVAR_HONOR_DISK						(167)

// Unused
#define GVAR_CHILD_KILLER_SHADY				(0)
#define GVAR_CHILD_KILLER_HUB				(1)
#define GVAR_CHILD_KILLER_ADYTUM			(3)
#define GVAR_DOGS_KILLED					(4)
#define GVAR_QUEST_PEOPLE					(6)
#define GVAR_MAP_ENTRANCE_NUMBER			(8)
#define GVAR_NECROPOLIS_VISITED				(19)
#define GVAR_NECROPOLIS_KNOWN				(20)
#define GVAR_MOTEL_OF_DOOM_VISITED			(21)
#define GVAR_HALL_OF_THE_DEAD_VISITED		(22)
#define GVAR_WATERSHED_VISITED				(23)
#define GVAR_NECROPOLIS_VAULT_VISITED		(24)
#define GVAR_TANDI_X						(25)	// Special ending for Tandi
#define GVAR_ANIMALS_KILLED					(33)
#define GVAR_HUMANS_KILLED					(34)
#define GVAR_DEATHCLAW_SEED					(44)	// Is the player off looking for the Deathclaw?
#define GVAR_BROTHERHOOD_SEED				(45)	// Is the player trying to become initiate/capture initiate?
#define GVAR_HUB_SEED						(46)
#define GVAR_PLAYER_LOCATION				(47)	// Where is the player in the World Map
#define GVAR_LOXLEY_X						(48)	// Special ending for Loxley
#define GVAR_MAXSON_X						(49)	// Special endings for Maxson
#define GVAR_CATHEDRAL						(50)
#define GVAR_FOLLOWER_STEALTH_HELP			(62)	// did the Followers offer to sneak player in Children of Cathedral?
#define GVAR_KNIGHT_WARNING					(64)	// will the Knight need to warn player of his manners?
#define GVAR_BROTHERHOOD_12					(80)	// BROHD12.MAP
#define GVAR_BROTHERHOOD_34					(81)	// BROHD34.MAP
#define GVAR_BROTHERHOOD_ENTRANCE			(82)	// BROHDENT.MAP
#define GVAR_CAVES							(83)	// CAVES.MAP
#define GVAR_CHILDREN_1						(84)	// CHILDRN1.MAP
#define GVAR_DESERT_1						(85)	// DESERT1.MAP
#define GVAR_DESERT_2						(86)	// DESERT2.MAP
#define GVAR_DESERT_3						(87)	// DESERT3.MAP
#define GVAR_HALL_OF_THE_DEAD				(88)	// HALLDED.MAP
#define GVAR_HOTEL_OF_DOOM					(89)	// HOTEL.MAP
#define GVAR_JUNKTOWN_CASINO				(90)	// JUNKCSNO.MAP
#define GVAR_JUNKTOWN_ENTRANCE				(91)	// JUNKENT.MAP
#define GVAR_JUNKTOWN_KILLIAN				(92)	// JUNKKILL.MAP
#define GVAR_SHADY_SANDS_EAST				(93)	// SHADYE.MAP
#define GVAR_SHADY_SANDS_WEST				(94)	// SHADYW.MAP
#define GVAR_VAULT_13_MAP					(95)	// VAULT13.MAP
#define GVAR_BURIED_VAULT_MAP				(96)	// VAULTBUR.MAP
#define GVAR_VAULT_ENTRANCE					(97)	// VAULTENT.MAP
#define GVAR_NECROP_VAULT					(98)	// VAULTNEC.MAP
#define GVAR_WATERSHED						(99)	// WATRSHD.MAP
#define GVAR_TOLYA_STATUS					(119)
#define GVAR_PETROX_STATUS					(120)
#define GVAR_KENJI_STATUS					(122)
#define GVAR_JASON_STATUS					(126)
#define GVAR_BLADES_HELP					(131)	// will the Blades help you knock out the Children of Cathedral?
#define GVAR_TRAIN_FOLLOWERS				(132)	// did the player train the Followers?
#define GVAR_BLADES_LEFT					(136)	// := 27; how many Blades are left
#define GVAR_RIPPERS_LEFT					(137)	// := 19; how many Rippers are left
#define GVAR_FOUND_DISK						(141)	// have you found the access code disk?
#define GVAR_WEAPON_LOCKER					(142)	// are the weapon depot security systems armed?
#define GVAR_GANGS							(171)
#define GVAR_GANG_BEGONE					(172)
#define GVAR_GANG_1							(173)
#define GVAR_GANG_2							(174)
#define GVAR_FOOLS_SCOUT					(175)
#define GVAR_FSCOUT_1						(176)
#define GVAR_CRYPTS_SCOUT					(177)
#define GVAR_CSCOUT_1						(178)
#define GVAR_POWER							(179)
#define GVAR_POWER_GENERATOR				(180)
#define GVAR_GENERATOR_1					(181)
#define GVAR_GENERATOR_2					(182)
#define GVAR_GENERATOR_3					(183)
#define GVAR_PEASANTS						(184)
#define GVAR_DOG_PHIL						(185)
#define GVAR_DOG_1							(186)
#define GVAR_DOG_2							(187)
#define GVAR_KNOW_NIGHTKIN					(197)
#define GVAR_MARK_DEATHCLAW					(208)
#define GVAR_MUTANT_DISK					(209)
#define GVAR_BROTHER_HISTORY				(210)
#define GVAR_SOPHIA_DISK					(211)
#define GVAR_MAXSON_DISK					(212)
#define GVAR_HUB_FILLER_28					(225)
#define GVAR_HUB_FILLER_30					(227)
#define GVAR_NUM_RADIO						(228)
#define GVAR_RADIO_MISTAKE					(229)
#define GVAR_CHANNEL_SLOT_DOWN				(230)
#define GVAR_MASTER_FILLER_4				(231)
#define GVAR_MASTER_FILLER_5				(232)
#define GVAR_MASTER_FILLER_6				(233)
#define GVAR_MASTER_FILLER_7				(234)
#define GVAR_MASTER_FILLER_8				(235)
#define GVAR_MASTER_FILLER_10				(237)
#define GVAR_CURE_JARVIS					(239)
#define GVAR_MAKE_ANTIDOTE					(240)
#define GVAR_DESTROY_VATS					(242)
#define GVAR_DESTROY_MASTER					(243)
#define GVAR_GENERIC_FILLER_20				(257)	// SHERRY/LARS
#define GVAR_WATER_CHIP_1					(258)
#define GVAR_WATER_CHIP_2					(259)
#define GVAR_WATER_CHIP_3					(260)
#define GVAR_WATER_CHIP_4					(261)	// ENEMY VAULT 13
#define GVAR_WATER_CHIP_5					(262)
#define GVAR_WATER_CHIP_6					(263)
#define GVAR_WATER_CHIP_7					(264)
#define GVAR_WATER_CHIP_8					(265)
#define GVAR_WATER_CHIP_9					(266)
#define GVAR_WATER_CHIP_10					(267)
#define GVAR_WATER_CHIP_11					(268)
#define GVAR_WATER_CHIP_13					(270)
#define GVAR_WATER_CHIP_14					(271)
#define GVAR_WATER_CHIP_15					(272)
#define GVAR_DESTROY_VATS_1					(273)
#define GVAR_DESTROY_VATS_2					(274)
#define GVAR_DESTROY_VATS_3					(275)
#define GVAR_DESTROY_VATS_5					(277)
#define GVAR_DESTROY_VATS_6					(278)
#define GVAR_DESTROY_VATS_7					(279)
#define GVAR_DESTROY_VATS_8					(280)
#define GVAR_DESTROY_VATS_9					(281)
#define GVAR_WATER_THIEF_1					(288)	// RNDCITY
#define GVAR_WATER_THIEF_6					(293)
#define GVAR_WATER_THIEF_7					(294)
#define GVAR_WATER_THIEF_8					(295)	// RNDCITY
#define GVAR_WATER_THIEF_9					(296)
#define GVAR_WATER_THIEF_10					(297)
#define GVAR_CALM_REBELS_1					(298)
#define GVAR_CALM_REBELS_2					(299)
#define GVAR_CALM_REBELS_3					(300)
#define GVAR_CALM_REBELS_4					(301)
#define GVAR_CALM_REBELS_5					(302)
#define GVAR_CALM_REBELS_6					(303)
#define GVAR_CALM_REBELS_7					(304)
#define GVAR_DESTROY_MASTER_1				(305)
#define GVAR_DESTROY_MASTER_2				(306)	// NEC MUTANTS
#define GVAR_DESTROY_MASTER_6				(310)	// VREE/MASTER
#define GVAR_DESTROY_MASTER_7				(311)
#define GVAR_DESTROY_MASTER_8				(312)
#define GVAR_DESTROY_MASTER_9				(313)
#define GVAR_DESTROY_MASTER_10				(314)
#define GVAR_DESTROY_MASTER_11				(315)
#define GVAR_DESTROY_MASTER_12				(316)
#define GVAR_DESTROY_MASTER_13				(317)
#define GVAR_DESTROY_MASTER_14				(318)
#define GVAR_DESTROY_MASTER_15				(319)
#define GVAR_STOP_SCORPIONS_1				(320)
#define GVAR_STOP_SCORPIONS_2				(321)
#define GVAR_STOP_SCORPIONS_3				(322)
#define GVAR_STOP_SCORPIONS_4				(323)
#define GVAR_STOP_SCORPIONS_5				(324)
#define GVAR_STOP_SCORPIONS_6				(325)
#define GVAR_STOP_SCORPIONS_7				(326)
#define GVAR_STOP_SCORPIONS_8				(327)
#define GVAR_STOP_SCORPIONS_9				(328)
#define GVAR_STOP_SCORPIONS_10				(329)
#define GVAR_SAVE_TANDI_1					(330)
#define GVAR_SAVE_TANDI_3					(332)
#define GVAR_SAVE_TANDI_5					(334)	// RNDCITY
#define GVAR_SAVE_TANDI_7					(336)
#define GVAR_SAVE_TANDI_8					(337)
#define GVAR_SAVE_TANDI_9					(338)
#define GVAR_SAVE_TANDI_10					(339)
#define GVAR_CURE_JARVIS_8					(347)	// ENEMY TO GIZMO
#define GVAR_CURE_JARVIS_9					(348)	// KILLIAN/JUNKCSNO
#define GVAR_CURE_JARVIS_10					(349)	// JUNKKILL
#define GVAR_MAKE_ANTIDOTE_5				(354)
#define GVAR_MAKE_ANTIDOTE_6				(355)
#define GVAR_MAKE_ANTIDOTE_7				(356)
#define GVAR_MAKE_ANTIDOTE_8				(357)
#define GVAR_MAKE_ANTIDOTE_9				(358)
#define GVAR_MAKE_ANTIDOTE_10				(359)
#define GVAR_KILL_MUTANTS_1					(360)
#define GVAR_KILL_MUTANTS_2					(361)
#define GVAR_KILL_MUTANTS_3					(362)
#define GVAR_KILL_MUTANTS_4					(363)
#define GVAR_KILL_MUTANTS_5					(364)
#define GVAR_KILL_MUTANTS_6					(365)
#define GVAR_KILL_MUTANTS_7					(366)
#define GVAR_KILL_MUTANTS_8					(367)
#define GVAR_KILL_MUTANTS_9					(368)
#define GVAR_KILL_MUTANTS_10				(369)
#define GVAR_FIX_NECROP_PUMP_1				(370)
#define GVAR_FIX_NECROP_PUMP_2				(371)
#define GVAR_FIX_NECROP_PUMP_3				(372)
#define GVAR_FIX_NECROP_PUMP_4				(373)
#define GVAR_FIX_NECROP_PUMP_5				(374)
#define GVAR_FIX_NECROP_PUMP_6				(375)
#define GVAR_FIX_NECROP_PUMP_7				(376)
#define GVAR_FIX_NECROP_PUMP_8				(377)
#define GVAR_FIX_NECROP_PUMP_9				(378)
#define GVAR_FIX_NECROP_PUMP_10				(379)
#define GVAR_KILL_KILLIAN_1					(380)
#define GVAR_KILL_KILLIAN_2					(381)
#define GVAR_KILL_KILLIAN_3					(382)
#define GVAR_KILL_KILLIAN_4					(383)
#define GVAR_KILL_KILLIAN_5					(384)
#define GVAR_KILL_KILLIAN_6					(385)
#define GVAR_KILL_KILLIAN_7					(386)
#define GVAR_KILL_KILLIAN_8					(387)
#define GVAR_KILL_KILLIAN_9					(388)
#define GVAR_KILL_KILLIAN_10				(389)
#define GVAR_STOP_GIZMO_1					(390)
#define GVAR_STOP_GIZMO_2					(391)
#define GVAR_STOP_GIZMO_3					(392)
#define GVAR_STOP_GIZMO_4					(393)
#define GVAR_STOP_GIZMO_5					(394)
#define GVAR_STOP_GIZMO_6					(395)
#define GVAR_STOP_GIZMO_7					(396)
#define GVAR_STOP_GIZMO_8					(397)
#define GVAR_STOP_GIZMO_9					(398)
#define GVAR_STOP_GIZMO_10					(399)
#define GVAR_SAVE_SINTHIA_1					(400)
#define GVAR_SAVE_SINTHIA_2					(401)
#define GVAR_SAVE_SINTHIA_3					(402)
#define GVAR_SAVE_SINTHIA_4					(403)
#define GVAR_SAVE_SINTHIA_5					(404)
#define GVAR_SAVE_SINTHIA_6					(405)
#define GVAR_SAVE_SINTHIA_7					(406)
#define GVAR_SAVE_SINTHIA_8					(407)
#define GVAR_SAVE_SINTHIA_9					(408)
#define GVAR_SAVE_SINTHIA_10				(409)
#define GVAR_TRISH_QUEST_1					(410)
#define GVAR_TRISH_QUEST_2					(411)
#define GVAR_TRISH_QUEST_3					(412)
#define GVAR_TRISH_QUEST_4					(413)
#define GVAR_TRISH_QUEST_5					(414)
#define GVAR_TRISH_QUEST_6					(415)
#define GVAR_TRISH_QUEST_7					(416)
#define GVAR_TRISH_QUEST_8					(417)
#define GVAR_TRISH_QUEST_9					(418)
#define GVAR_TRISH_QUEST_10					(419)
#define GVAR_SAUL_QUEST_1					(420)
#define GVAR_SAUL_QUEST_2					(421)
#define GVAR_SAUL_QUEST_3					(422)
#define GVAR_SAUL_QUEST_4					(423)
#define GVAR_SAUL_QUEST_5					(424)
#define GVAR_SAUL_QUEST_6					(425)
#define GVAR_SAUL_QUEST_7					(426)
#define GVAR_SAUL_QUEST_8					(427)
#define GVAR_SAUL_QUEST_9					(428)
#define GVAR_SAUL_QUEST_10					(429)
#define GVAR_STEAL_NECKLACE_1				(430)
#define GVAR_STEAL_NECKLACE_2				(431)
#define GVAR_STEAL_NECKLACE_3				(432)
#define GVAR_STEAL_NECKLACE_4				(433)
#define GVAR_STEAL_NECKLACE_5				(434)
#define GVAR_STEAL_NECKLACE_6				(435)
#define GVAR_STEAL_NECKLACE_7				(436)
#define GVAR_STEAL_NECKLACE_8				(437)
#define GVAR_STEAL_NECKLACE_9				(438)
#define GVAR_STEAL_NECKLACE_10				(439)
#define GVAR_KILL_JAIN_1					(440)
#define GVAR_KILL_JAIN_2					(441)
#define GVAR_KILL_JAIN_3					(442)
#define GVAR_KILL_JAIN_4					(443)
#define GVAR_KILL_JAIN_5					(444)
#define GVAR_KILL_JAIN_6					(445)
#define GVAR_KILL_JAIN_7					(446)
#define GVAR_KILL_JAIN_8					(447)
#define GVAR_KILL_JAIN_9					(448)
#define GVAR_KILL_JAIN_10					(449)
#define GVAR_KILL_MERCHANT_1				(450)
#define GVAR_KILL_MERCHANT_2				(451)
#define GVAR_KILL_MERCHANT_3				(452)
#define GVAR_KILL_MERCHANT_4				(453)
#define GVAR_KILL_MERCHANT_5				(454)
#define GVAR_KILL_MERCHANT_6				(455)
#define GVAR_KILL_MERCHANT_7				(456)
#define GVAR_KILL_MERCHANT_8				(457)
#define GVAR_KILL_MERCHANT_9				(458)
#define GVAR_KILL_MERCHANT_10				(459)
#define GVAR_DEATHCLAW_SEED_1				(460)
#define GVAR_DEATHCLAW_SEED_2				(461)
#define GVAR_DEATHCLAW_SEED_3				(462)
#define GVAR_DEATHCLAW_SEED_4				(463)
#define GVAR_DEATHCLAW_SEED_5				(464)
#define GVAR_DEATHCLAW_SEED_6				(465)
#define GVAR_DEATHCLAW_SEED_7				(466)
#define GVAR_DEATHCLAW_SEED_8				(467)
#define GVAR_DEATHCLAW_SEED_9				(468)
#define GVAR_MISSING_CARAVAN_1				(470)
#define GVAR_MISSING_CARAVAN_2				(471)
#define GVAR_MISSING_CARAVAN_3				(472)
#define GVAR_MISSING_CARAVAN_4				(473)
#define GVAR_MISSING_CARAVAN_5				(474)
#define GVAR_MISSING_CARAVAN_6				(475)
#define GVAR_MISSING_CARAVAN_7				(476)
#define GVAR_MISSING_CARAVAN_8				(477)
#define GVAR_MISSING_CARAVAN_9				(478)
#define GVAR_MISSING_CARAVAN_10				(479)
#define GVAR_BECOME_INITIATE_1				(480)
#define GVAR_BECOME_INITIATE_2				(481)
#define GVAR_BECOME_INITIATE_3				(482)
#define GVAR_BECOME_INITIATE_4				(483)
#define GVAR_BECOME_INITIATE_5				(484)
#define GVAR_BECOME_INITIATE_6				(485)
#define GVAR_BECOME_INITIATE_7				(486)
#define GVAR_BECOME_INITIATE_8				(487)
#define GVAR_BECOME_INITIATE_9				(488)
#define GVAR_BECOME_INITIATE_10				(489)
#define GVAR_FIND_INITIATE_1				(490)
#define GVAR_FIND_INITIATE_2				(491)
#define GVAR_FIND_INITIATE_3				(492)
#define GVAR_FIND_INITIATE_4				(493)
#define GVAR_FIND_INITIATE_5				(494)
#define GVAR_FIND_INITIATE_6				(495)
#define GVAR_FIND_INITIATE_7				(496)
#define GVAR_FIND_INITIATE_8				(497)
#define GVAR_FIND_INITIATE_9				(498)
#define GVAR_FIND_INITIATE_10				(499)
#define GVAR_ROMEO_JULIET_1					(500)
#define GVAR_J_HATE							(501)
#define GVAR_J_SLEEP						(502)
#define GVAR_J_NAME							(503)
#define GVAR_J_ONCE							(504)
#define GVAR_DOLGAN_0						(505)
#define GVAR_DOLGAN_1						(506)
#define GVAR_ENEMT_BLADE					(507)
#define GVAR_FIRE_4_1						(508)
#define GVAR_DRAGON_0_1						(509)
#define GVAR_MICHELLE_ONCE_1				(510)
#define GVAR_ALAN_ONCE_1					(511)
#define GVAR_NEIL_ONCE_1					(512)
#define GVAR_NEIL_5_2						(513)
#define GVAR_NEIL_6_3						(514)
#define GVAR_ROMERO_TRUE_NAME				(515)
#define GVAR_ROMERO_QUEST_GIVE				(516)
#define GVAR_AGATHA_4_ONCE					(517)
#define GVAR_AGATHA_1_ATTRACTION			(518)
#define GVAR_AGATHA_2_REACTION				(519)
#define GVAR_AGATHA_0_REACTION				(520)
#define GVAR_AGATHA_3_REACTION				(521)
#define GVAR_AMBER_0_1						(522)
#define GVAR_AMBER_1_TRAIN					(523)
#define GVAR_AMBER_2						(524)
#define GVAR_MARNEY_0_ONCE					(525)
#define GVAR_MARNEY_1_TRAIN					(526)
#define GVAR_MARNEY_2_TRAIN2				(527)
#define GVAR_BRENDEN_0_ONCE					(528)
#define GVAR_BRENDEN_1_SELF					(529)
#define GVAR_ELDER_QUEST_GIVEN				(531)
#define GVAR_BARTER_WAS_GIVEN				(532)
#define GVAR_VIPERS_LEX_1					(533)
#define GVAR_VIPERS_RAIDERS_LIVE			(534)	// := 5
#define GVAR_DELIVER_PACKAGE_3				(535)
#define GVAR_DELIVER_PACKAGE_4				(536)
#define GVAR_DELIVER_PACKAGE_5				(537)
#define GVAR_FIX_FARM_1						(538)
#define GVAR_FIX_FARM_2						(539)
#define GVAR_FIX_FARM_3						(540)
#define GVAR_FIX_FARM_4						(541)
#define GVAR_LOST_BROTHER_1					(542)
#define GVAR_LOST_BROTHER_2					(543)
#define GVAR_LOST_BROTHER_3					(544)
#define GVAR_LOST_BROTHER_4					(545)
#define GVAR_LOST_BROTHER_5					(546)
#define GVAR_POWER_GLOW_1					(547)
#define GVAR_DISARM_TRAPS_1					(548)
#define GVAR_DISARM_TRAPS_2					(549)
#define GVAR_DISARM_TRAPS_3					(550)
#define GVAR_MAX_MUTANTS					(551)	// := 5
#define GVAR_GAME_DIFFICULTY				(602)
#define GVAR_RUNNING_BURNING_GUY			(603)
#define GVAR_RHOMBUS_STATUS					(605)
#define GVAR_KIND_TO_HAROLD					(606)
#define GVAR_RADIO_COMPUTER_OFF				(608)
#define GVAR_FORCE_FIELDS_OFF				(609)
#define GVAR_FIELD_COMPUTER_MODIFIED		(610)

// Karma Titles

// Town Reputation

// Caravan States

#endif // _GLOBAL_H_DEFINED
