
#ifndef _ITEMPID_H_DEFINED
#define _ITEMPID_H_DEFINED

#define dude_has_item(x)			obj_carrying_pid_obj(dude_obj,x)
#define dude_item_count(x)			obj_is_carrying_obj_pid(dude_obj,x)
#define dude_item_add(x)			add_obj_to_inven(dude_obj,x)
#define dude_items_add(x,y)			add_mult_objs_to_inven(dude_obj,x,y)
#define dude_item_remove(x)			rm_obj_from_inven(dude_obj,x)
#define dude_items_remove(x,y)		rm_mult_objs_from_inven(dude_obj,x,y)
#define dude_caps_count				item_caps_total(dude_obj)
#define dude_caps_adjust(x)			item_caps_adjust(dude_obj,x)

#define self_has_item(x)			obj_carrying_pid_obj(self_obj,x)
#define self_item_count(x)			obj_is_carrying_obj_pid(self_obj,x)
#define self_item_add(x)			add_obj_to_inven(self_obj,x)
#define self_items_add(x,y)			add_mult_objs_to_inven(self_obj,x,y)
#define self_item_remove(x)			rm_obj_from_inven(self_obj,x)
#define	self_items_remove(x,y)		rm_mult_objs_from_inven(self_obj,x,y)
#define self_caps_count				item_caps_total(self_obj)
#define self_caps_adjust(x)			item_caps_adjust(self_obj,x)

#define has_item(x,y)				obj_carrying_pid_obj(x,y)
#define item_count(x,y)				obj_is_carrying_obj_pid(x,y)
#define item_add(x,y)				add_obj_to_inven(x,y)
#define items_add(x,y,z)			add_mult_objs_to_inven(x,y,z)
#define item_remove(x,y)			rm_obj_from_inven(x,y)
#define	items_remove(x,y,z)			rm_mult_objs_from_inven(x,y,z)
#define caps_adjust(x,y)			item_caps_adjust(x,y)

#define move_inven(x,y)				move_obj_inven_to_obj(x,y)

#define item_used_pid(x)			obj_pid(obj_being_used_with) == x
#define item_used					obj_being_used_with

// Armour
#define PID_LEATHER_ARMOR					(1)
#define PID_METAL_ARMOR						(2)
#define PID_POWERED_ARMOR					(3)
#define PID_COMBAT_ARMOR					(17)
#define PID_LEATHER_JACKET					(74)
#define PID_ROBES							(113)
#define PID_HARDENED_POWER_ARMOR			(232)
#define PID_BROTHERHOOD_COMBAT_ARMOR		(239)
#define PID_TESLA_ARMOR						(240)

// Weapons
#define PID_KNIFE							(4)
#define PID_CLUB							(5)
#define PID_SLEDGEHAMMER					(6)
#define PID_SPEAR							(7)
#define PID_10MM_PISTOL						(8)
#define PID_10MM_SMG						(9)
#define PID_HUNTING_RIFLE					(10)
#define PID_FLAMER							(11)
#define PID_MINIGUN							(12)
#define PID_ROCKET_LAUNCHER					(13)
#define PID_PLASMA_RIFLE					(15)
#define PID_LASER_PISTOL					(16)
#define PID_12MM_REVOLVER					(18)
#define PID_ROCK							(19)
#define PID_CROWBAR							(20)
#define PID_BRASS_KNUCKLES					(21)
#define PID_14MM_PISTOL						(22)
#define PID_ASSAULT_RIFLE					(23)
#define PID_PLASMA_PISTOL					(24)
#define PID_FRAG_GRENADE					(25)
#define PID_PLASMA_GRENADE					(26)
#define PID_PULSE_GRENADE					(27)
#define PID_GATLING_LASER					(28)
#define PID_THROWING_KNIFE					(45)
#define PID_SHOTGUN							(94)
#define PID_SUPER_SLEDGE					(115)
#define PID_RIPPER							(116)
#define PID_LASER_RIFLE						(118)
#define PID_PPK12_GAUSS_PISTOL				(120)
#define PID_IMPROVED_FLAMER					(122)
#define PID_SNIPER_RIFLE					(143)
#define PID_MOLOTOV_COCKTAIL				(159)
#define PID_CATTLE_PROD						(160)
#define PID_ASSAULT_RIFLE_EXP				(161)
#define PID_M72_GAUSS_RIFLE					(162)
#define PID_TURBO_PLASMA_RIFLE				(233)
#define PID_SPIKED_KNUCKLES					(234)
#define PID_POWER_FIST						(235)
#define PID_COMBAT_KNIFE					(236)
#define PID_ACCELERATED_SNIPER_RIFLE		(241)
#define PID_ASSAULT_SHOTGUN					(242)

// NOTE: any new weapons that need ammo of any sort need to be placed in the arm_obj macro in COMMANDS.H

// Ammo
#define PID_EXPLOSIVE_ROCKET				(14)
#define PID_10MM_JHP						(29)
#define PID_10MM_AP							(30)
#define PID_12MM_JHP						(31)
#define PID_FLAMETHROWER_FUEL				(32)
#define PID_14MM_AP							(33)
#define PID_8MM_FMJ							(34)
#define PID_6MM_JHP							(35)
#define PID_6MM_AP							(36)
#define PID_ROCKET_AP						(37)
#define PID_SMALL_ENERGY_CELL				(38)
#define PID_MICRO_FUSION_CELL				(39)
#define PID_SHOTGUN_SHELLS					(95)
#define PID_12MM_FMJ						(111)
#define PID_9MM_BALL						(121)
#define PID_2MM_EC							(163)

// Medical
#define PID_STIMPAK							(40)
#define PID_FIRST_AID_KIT					(47)
#define PID_RADAWAY							(48)
#define PID_ANTIDOTE						(49)
#define PID_MENTATS							(53)
#define PID_MUTATED_FRUIT					(71)
#define PID_BUFFOUT							(87)
#define PID_DOCTORS_BAG						(91)
#define PID_RAD_X							(109)
#define PID_PSYCHO							(110)
#define PID_SUPER_STIMPAK					(144)

// Container
#define PID_FRIDGE							(42)
#define PID_ICE_CHEST_LEFT					(43)
#define PID_ICE_CHEST_RIGHT					(44)
#define PID_BAG								(46)
#define PID_DESK_EW							(66)
#define PID_DESK_NS							(67)
#define PID_BACKPACK						(90)
#define PID_BROWN_BAG						(93)
#define PID_FOOTLOCKER_CLEAN_LEFT			(128)
#define PID_FOOTLOCKER_RUSTY_LEFT			(129)
#define PID_FOOTLOCKER_CLEAN_RIGHT			(130)
#define PID_FOOTLOCKER_RUSTY_RIGHT			(131)
#define PID_LOCKER_CLEAN_LEFT				(132)
#define PID_LOCKER_RUSTY_LEFT				(133)
#define PID_LOCKER_CLEAN_RIGHT				(134)
#define PID_LOCKER_RUSTY_RIGHT				(135)
#define PID_WALL_LOCKER_CLEAN_LEFT			(136)
#define PID_WALL_LOCKER_CLEAN_RIGHT			(137)
#define PID_WALL_LOCKER_RUSTY_LEFT			(138)
#define PID_WALL_LOCKER_RUSTY_RIGHT			(139)
#define PID_CONTAINER_WOOD_CRATE			(180)
#define PID_VAULT_DWELLER_BONES				(211)

// Books
#define PID_BIG_BOOK_OF_SCIENCE				(73)
#define PID_DEANS_ELECTRONICS				(76)
#define PID_FIRST_AID_BOOK					(80)
#define PID_SCOUT_HANDBOOK					(86)
#define PID_GUNS_AND_BULLETS				(102)
#define PID_CATS_PAW						(225)
#define PID_TECHNICAL_MANUAL				(228)
#define PID_CHEMISTRY_MANUAL				(237)

// Tools
#define PID_DYNAMITE						(51)
#define PID_GEIGER_COUNTER					(52)
#define PID_STEALTH_BOY						(54)
#define PID_MOTION_SENSOR					(59)
#define PID_MULTI_TOOL						(75)
#define PID_ELECTRONIC_LOCKPICKS			(77)
#define PID_LOCKPICKS						(84)
#define PID_PLASTIC_EXPLOSIVES				(85)
#define PID_ROPE							(127)

// Misc.
#define PID_BOTTLE_CAPS						(41)
#define RESERVED_ITEM00						(50) // Reserved item! Don't use! Broken!
#define PID_WATER_CHIP						(55)
#define PID_DOG_TAGS						(56)
#define PID_ELECTRONIC_BUG					(57)
#define PID_HOLODISK						(58)
#define PID_BRIEFCASE						(72)
#define PID_FUZZY_PAINTING					(78)
#define PID_FLARE							(79)
#define PID_IGUANA_ON_A_STICK				(81)
#define PID_KEY								(82)
#define PID_KEYS							(83)
#define PID_WATCH							(88)
#define PID_MOTOR							(89)
#define PID_SCORPION_TAIL					(92)
#define PID_RED_PASS_KEY					(96)
#define PID_BLUE_PASS_KEY					(97)
#define PID_PUMP_PARTS						(98)
#define PID_GOLD_LOCKET						(99)
#define PID_RADIO							(100)
#define PID_LIGHTER							(101)
#define PID_MEAT_ON_A_STICK					(103)
#define PID_TAPE_RECORDER					(104)
#define PID_NUKE_KEY						(105)
#define PID_NUKA_COLA						(106)
#define PID_ALIEN_SIDE						(107)
#define PID_ALIEN_FORWARD					(108)
#define PID_URN								(112)
#define PID_TANGLERS_HAND					(114)
#define PID_FLOWER							(117)
#define PID_NECKLACE						(119)
#define PID_PSYCHIC_NULLIFIER				(123)
#define PID_BEER							(124)
#define PID_BOOZE							(125)
#define PID_WATER_FLASK						(126)
#define PID_ACCESS_CARD						(140)
#define PID_BLACK_COC_BADGE					(141)
#define PID_RED_COC_BADGE					(142)
#define PID_BARTER_TANDI					(212)
#define PID_BARTER_LIGHT_HEALING			(218)
#define PID_BARTER_MEDIUM_HEALING			(219)
#define PID_BARTER_HEAVY_HEALING			(220)
#define PID_SECURITY_CARD					(221)
#define PID_TOGGLE_SWITCH					(222)
#define PID_YELLOW_PASS_KEY					(223)
#define PID_SMALL_STATUETTE					(224)
#define PID_BOX_OF_NOODLES					(226)
#define PID_FROZEN_DINNER					(227)
#define PID_MOTIVATOR						(229)

// Disks
#define PID_ARTIFACT_DISK					(164)
#define PID_FEV_DISK						(190)
#define PID_SECURITY_DISK					(191)
#define PID_ALPHA_EXPERIMENT_DISK			(192)
#define PID_DELTA_EXPERIMENT_DISK			(193)
#define PID_VREES_EXPERIMENT_DISK			(194)
#define PID_BROTHERHOOD_HONOR_CODE_DISK		(195)
#define PID_MUTANTS_DISK					(196)
#define PID_SOPHIAS_DISK					(215)
#define PID_MAXONS_HISTORY_DISK				(216)
#define PID_MAXONS_JOURNAL_DISK				(217)
#define PID_VAULT_RECORDS_DISK				(230)
#define PID_SECURITY_CODE_DISK				(231)
#define PID_REGULATORS_DISK					(238)

// Active Items
#define PID_ACTIVE_FLARE					(205)
#define PID_ACTIVE_DYNAMITE					(206)
#define PID_ACTIVE_GEIGER_COUNTER			(207)
#define PID_ACTIVE_MOTION_SENSOR			(208)
#define PID_ACTIVE_PLASTIC_EXPLOSIVE		(209)
#define PID_ACTIVE_STEALTH_BOY				(210)

// Flying Weapons
#define PID_FLYING_ROCKET					(83886081)
#define PID_FLYING_PLASMA_BALL				(83886082)
#define PID_FLYING_KNIFE					(83886086)
#define PID_FLYING_SPEAR					(83886087)
#define PID_FLYING_LASER_BLAST				(83886089)
#define PID_FLYING_PLASMA_BLAST				(83886090)
#define PID_FLYING_ELECTRICITY_BOLT			(83886091)

#endif // _ITEMPID_H_DEFINED
